import { useBackupStore } from "../stores/admin/user/backup";

export async function setBackupPage(to: any, from: any, next: any) {
  const backup = useBackupStore();

  let uploadPage = to.name.includes("uploaded");

  if (uploadPage) {
    backup.page = "uploaded";
    backup.backups = [];
  } else {
    backup.page = "generated";
    backup.backups = [];
  }

  backup.fetchBackups();

  next();
}
